'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

// Styles


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _objectStyles = require('./objectStyles');

var _objectStyles2 = _interopRequireDefault(_objectStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * A short description of the object
 */
var ObjectDescription = function ObjectDescription(_ref) {
  var object = _ref.object;

  switch (typeof object === 'undefined' ? 'undefined' : _typeof(object)) {
    case 'number':
      return _react2.default.createElement(
        'span',
        { style: _objectStyles2.default.value.number },
        object
      );
    case 'string':
      return _react2.default.createElement(
        'span',
        { style: _objectStyles2.default.value.string },
        '"',
        object,
        '"'
      );
    case 'boolean':
      return _react2.default.createElement(
        'span',
        { style: _objectStyles2.default.value.boolean },
        String(object)
      );
    case 'undefined':
      return _react2.default.createElement(
        'span',
        { style: _objectStyles2.default.value.undefined },
        'undefined'
      );
    case 'object':
      if (object === null) {
        return _react2.default.createElement(
          'span',
          { style: _objectStyles2.default.value.null },
          'null'
        );
      }
      if (object instanceof Date) {
        return _react2.default.createElement(
          'span',
          null,
          object.toString()
        );
      }
      if (Array.isArray(object)) {
        return _react2.default.createElement(
          'span',
          null,
          'Array[' + object.length + ']'
        );
      }
      return _react2.default.createElement(
        'span',
        null,
        'Object'
      );
    case 'function':
      return _react2.default.createElement(
        'span',
        null,
        _react2.default.createElement(
          'span',
          { style: _objectStyles2.default.value.function.keyword },
          'function'
        ),
        _react2.default.createElement(
          'span',
          { style: _objectStyles2.default.value.function.name },
          ' ',
          object.name,
          '()'
        )
      );
    case 'symbol':
      return _react2.default.createElement(
        'span',
        { style: _objectStyles2.default.value.symbol },
        'Symbol()'
      );
    default:
      return _react2.default.createElement('span', null);
  }
};

ObjectDescription.propTypes = {
  object: _react2.default.PropTypes.any
};

exports.default = ObjectDescription;